Bug 50289 - VIEWING: Background-color of cell overlaps border in page preview / export to PDF / print
Summary: VIEWING: Background-color of cell overlaps border in page preview / export to...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.3 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords: filter:pdf
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2012-05-23 12:16 UTC by Narigo
Modified: 2021-01-16 04:17 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
In this Spreadsheet, I can see the background-colors a little bit off to the top-left when I look at page preview and set it to 100% (zooming in more helps) (7.84 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-05-23 12:16 UTC, Narigo
Details
Screenshot of page preview of attached .ods file (30.36 KB, image/png)
2012-05-23 12:35 UTC, Narigo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Narigo 2012-05-23 12:16:39 UTC
Created attachment 62031 [details]
In this Spreadsheet, I can see the background-colors a little bit off to the top-left when I look at page preview and set it to 100% (zooming in more helps)

Problem description: 
The background color of cells do not seem to stay inside their own cells.

Steps to reproduce:
1. Create a new document
2. Add some background colors to cells
3. Put a border around the cells
4. See page preview / exported PDF

Current behavior:
The background color seems to be a tiny little bit off the cells. In some documents this results in strange one pixel inside the border of another cell.

Expected behavior:
The background color is only inside the borders of the cell, all cells in a row should have the same height / all cells in a column should have the same width.

Platform (if different from the browser): Win7 64bit
              
Browser: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:12.0) Gecko/20100101 Firefox/12.0
Comment 1 Narigo 2012-05-23 12:35:20 UTC
Created attachment 62032 [details]
Screenshot of page preview of attached .ods file

You can see the light blue inside the cell of the dark blue area here pretty good.
Comment 2 Noel Grandin 2012-09-05 12:35:37 UTC
Confirmed in 3.6.1.2 (Windows)
Comment 3 QA Administrators 2015-01-05 17:51:36 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-01-22 16:59:11 UTC
Confirmed.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 07e84cae983c08afdba03018413a19d01abb3006
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-19_06:15:38
Comment 5 QA Administrators 2016-02-21 08:35:45 UTC Comment hidden (obsolete)
Comment 6 ralf.krapf 2017-01-26 16:17:15 UTC
Confirmed and still present in LO 5.2.4.2

Cheers Ralf
Comment 7 QA Administrators 2018-04-18 02:34:33 UTC Comment hidden (obsolete)
Comment 8 Narigo 2018-04-18 08:13:54 UTC
Still open issue. Confirmed with the .ods file from the bug report in LibreOffice version:

Version: 6.0.2.1
Build ID: f7f06a8f319e4b62f9bc5095aa112a65d2f3ac89
CPU threads: 8; OS: Mac OS X 10.13.4; UI render: default; 
Locale: de-DE (en_DE.UTF-8); Calc: group
Comment 9 Karsten 2019-01-16 11:17:46 UTC Comment hidden (obsolete)
Comment 10 QA Administrators 2021-01-16 04:17:31 UTC
Dear Narigo,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug